library(ggplot2)

#faili sisselugemine ja andmete formaadi korrigeerimine
J431=read.csv("PT4-T4.3-J4.3.1.csv",header=TRUE, encoding ="UTF-8")
J431$digi=reorder(J431$digi,J431$keskmine)

#joonis
ggplot(J431)+
  geom_col(aes(x=digi,y=keskmine,fill=digi))+
  geom_errorbar(aes(x=digi,y=keskmine,ymin=alumine_usalduspiir_95,ymax=ulemine_usalduspiir_95),width=0.2)+
  scale_fill_manual(values=c("#323E4E","#E9A419","#4D96B9","#2E938B","#634988"),breaks=rev(levels(J431$digi)))+
  theme_minimal()+
  coord_flip()+
  scale_y_continuous(breaks=seq(0,60,5))+
  theme(legend.position = "none")+
  theme(legend.title = element_blank())+
  xlab("")+
  ylab("Keskmine problemaatilise kasutuse skoor")







